#
# spec file for package gypsy (Version 0.8)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           gypsy
Version:        0.8
Release:        5.1
License:        LGPLv2.1
Summary:        GPS multiplexing daemon
Url:            http://gypsy.freedesktop.org/
Group:          Hardware/Other
Source0:        %{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM gypsy-CVE-2011-0523.patch CVE-2011-0523 bnc#666839 fdo#33431 -- Add config file to restrict the files that can be read
Patch1:         gypsy-CVE-2011-0523.patch
# PATCH-FIX-UPSTREAM gypsy-CVE-2011-0524.patch CVE-2011-0524 bnc#666839 fdo#33431 -- Use snprintf to avoid buffer overflow
Patch2:         gypsy-CVE-2011-0524.patch
BuildRequires:  bluez-devel
BuildRequires:  dbus-1-glib-devel
BuildRequires:  glib2-devel
# needed for patch1
BuildRequires:  gnome-common
BuildRequires:  libxslt
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Gypsy is a GPS multiplexing daemon which allows multiple clients to
access GPS data from multiple GPS sources concurrently.

Without some sort of multiplexing system, a GPS device can only safely
be accessed by one client. In a server situation this may not cause any
problems, but on modern desktop which could potentially have multiple
location aware devices, this could be an issue.

%package -n libgypsy0
Summary:        GPS multiplexing daemon - Library
License:        LGPLv2.1
Group:          Development/Libraries/Other

%description -n libgypsy0
Gypsy is a GPS multiplexing daemon which allows multiple clients to
access GPS data from multiple GPS sources concurrently.

Without some sort of multiplexing system, a GPS device can only safely
be accessed by one client. In a server situation this may not cause any
problems, but on modern desktop which could potentially have multiple
location aware devices, this could be an issue.

%package -n libgypsy-devel
Summary:        GPS multiplexing daemon - Development Files
License:        LGPLv2.1
Group:          Development/Libraries/Other
Requires:       libgypsy0 = %{version}
Requires:       dbus-1-glib-devel

%description -n libgypsy-devel
Gypsy is a GPS multiplexing daemon which allows multiple clients to
access GPS data from multiple GPS sources concurrently.

Without some sort of multiplexing system, a GPS device can only safely
be accessed by one client. In a server situation this may not cause any
problems, but on modern desktop which could potentially have multiple
location aware devices, this could be an issue.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
# needed for patch1
NOCONFIGURE=1 gnome-autogen.sh

%build
%configure --disable-static
%__make %{?jobs:-j%jobs}

%install
%makeinstall
find %{buildroot} -type f -name "*.la" -delete -print

%clean
%{__rm} -rf %{buildroot}

%post -n libgypsy0 -p /sbin/ldconfig

%postun -n libgypsy0 -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING TODO
%{_libexecdir}/gypsy-daemon
%{_sysconfdir}/dbus-1/system.d/*.conf
%config(noreplace) %{_sysconfdir}/gypsy.conf
%{_datadir}/dbus-1/system-services/*.service

%files -n libgypsy0
%defattr(-, root, root)
%doc COPYING.lib
%{_libdir}/*.so.*

%files -n libgypsy-devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/gypsy
%{_datadir}/gtk-doc/html/gypsy
# Own these repositories to not depend on gtk-doc while building:
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html

%changelog
* Mon Jul  9 2012 vuntz@opensuse.org
- Add gypsy-CVE-2011-0523.patch: add config file to restrict the
  files that can be read. Fix CVE-2011-0523 and bnc#666839.
- Add gypsy-CVE-2011-0524.patch: use snprintf() to avoid buffer
  overflows. Fix CVE-2011-0524 and bnc#666839.
- Add gnome-common BuildRequires and call to gnome-autogen.sh for
  gypsy-CVE-2011-0523.patch, since it touches the build system.
* Fri Aug 13 2010 vuntz@opensuse.org
- Update to version 0.8:
  + Add support for dumping NMEA debug to stdout
  + Fix overeager Garmin device detection
  + Add support for named pipes and FIFOs
  + Fix incorrect use of TCIOFLUSH
  + Add support for setting baud rate on serial devices
  + Log if we are passed an unknown option key
  + Only open TTY devices read-write
  + Support RMC sentences for NMEA < 2.3
  + Add support for the N810's GPS
* Fri Aug  7 2009 vuntz@novell.com
- Update to version 0.7:
  + Support auto-start on the system bus
  + Add Garmin->NMEA converter
  + Fix client unreffing
  + Migrate source to git
- Drop gypsy-dbus-send_destination.patch: not needed anymore.
* Thu Jul 30 2009 vuntz@novell.com
- Use libexecdir instead of libdir.
* Wed Jun 17 2009 vuntz@novell.com
- Initial package.
